htm2chm FAQ

htm2chm 3.x FAQ

Introduction

What is htm2chm?

htm2chm is a useful program that allows you to convert html pages with graphics as well as whole sites (for example, retrieved by offline browsers) into a single CHM file.

Who needs this program?

  • Users who want to organize their information retrieved from Internet;
  • Webmasters who need to create offline version of their sites;
  • Help file and E-book developers.

What is CHM?

CHM (Compiled HTML) is a format developed by Microsoft for hypertext help systems. Doesn't require additional software to view, because Windows has all you need.

Glossary

Home page

The HTML file that starts the resource navigation. Usually the home page is called:

index.htm, main.htm, default.htm, toc.htm

Saved page

A couple that includes HTML file and its folder, for example:
Any page.files
Any page.htm

You can save web page using menu item 'File=>Save As…' (Internet Explorer)

Table of Contents (TOC)

The file with HHC extension. Needful for making 'Contents' tab in the CHM file. For example:

Table of Contents.hhc

Preset

Named collection of parameters used to create CHM file.

How To

How to convert saved HTML pages to CHM files?

  1. Right-click on the folder or disk that contains saved pages.
  2. Choose menu item 'htm2chm=>Compile saved pages'.
  3. Press the Start button.

I just downloaded the website from Internet. What will I do?

  1. Right-click on the folder that contains the website and choose menu item 'htm2chm=>Compile'.
  2. After you choose preset 'Downloaded website', press the Start button.

How to create Help file?

  1. Create a folder 'X'
  2. Copy all folders, HTML files and pictures you want to include in your help file to this folder.
  3. Right-click on the folder 'X' and choose menu item 'htm2chm=>Generate TOC '.
  4. Now you can edit the file 'Table of Contents.hhc' in the embedded editor.
  5. Right-click on the folder 'X' and choose menu item 'htm2chm=>Compile'.
  6. After you choose preset 'Help', press the Start button.

How to decompile CHM file?

Right-click on the file and choose menu item 'htm2chm=>Decompile'.

Miscellaneous

How to find text?

Press Ctrl-F to display the find dialog.

How to print the current page?

Press Ctrl-P to display the print dialog.

How to convert MS Word document to CHM file?

Open document in Word program and press 'File=>Save as WEB page'. Then compile new file as usual.

Troubleshooting

Can't see Macromedia Flash objects (*.swf)

You need to install the latest version of Flash Player and make sure that Flash insertions are used without any parameters. For example, the string flash.swf?argname=argvalue should be changed into flash.swf. I don't really know the reason why it happens. More detail is available at the Macromedia's site.

Java-applets don't work

Some applications/controls/technologies cannot read files embedded inside a CHM file. To run an Applet in a HTML Help window you must leave the applet files outside the CHM. Similarly if you embed Windows Media Player control in a HH window, the media files (.MID, .WAV etc) must be left outside the CHM (Media can be read by DOM but apparently not an embedded media control). How's it done? Download Examples

Note: Embedded Videos can be run from a CHM page. Here's a tip from Wizard Alexander Halser. This is a silent AVI (moving files) that automatically starts when the topic opens:

<img start='"FILEOPEN" loop="1" DYNSRC="movefile_test.avi">

An MPEG video with sound that starts playing when you move the mouse over
it (appropriate decoder must be installed, of course):

<img start="MOUSEOVER" loop="1" DYNSRC="dragdrop_videosample.mpg">

I see abracadabra instead of normal text

This error occurs because a webmaster defines wrong encoding in the head of HTML file. HTMLChanger program should solve this problem.

Can't open CHM file

There should be no symbols '#' in the filename and in the pathname.

Can't open all CHM files

This error occurs due to incorrect setup of some programs. HHFix program should solve this problem.

Can't compile files with Russian names

Make sure that you selected Russian language in the Windows locale.

About

Copyright © Yaroslav Kirillov, 2002-2003. All rights reserved.
Homepage: http://htm2chm.by.ru/ E-Mail: yarix@tut.by ICQ: 125130628